> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Global Search ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /search openapi: 3.0.0 info: title: bunny.net API description: >- bunny.net Logo Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation

Third party API clients:


We currently do not maintain an official API library, but you can use one of the third party ones provided here:

https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)

Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Stream Video Library - name: User - name: AuditLog - name: Storage Zone - name: Statistics - name: Search - name: Pull Zone - name: Pricing - name: Load Balancer - name: DNS Zone - name: DNSSEC - name: Billing - name: API Keys - name: Affiliate - name: Countries - name: Purge - name: Region paths: /search: get: tags: - Search summary: Global Search operationId: SearchPublic_GlobalSearchEndpoint parameters: - name: search in: query schema: type: string nullable: true x-position: 1 - name: from in: query schema: type: integer format: int32 default: 0 x-position: 2 - name: size in: query schema: type: integer format: int32 default: 20 x-position: 3 responses: '200': description: The list of platfom-wide search results content: application/json: schema: $ref: '#/components/schemas/SearchResultsModel' '401': description: The request authorization failed '429': description: Too Many Requests '500': description: Internal Server Error security: - AccessKey: - User - UserApi - SubuserManage - SubuserAPIManage - bearer: - User - UserApi - SubuserManage - SubuserAPIManage components: schemas: SearchResultsModel: type: object additionalProperties: false properties: Query: type: string description: The input query for the search request nullable: true Total: type: integer description: The total number of search results found matching the query format: int32 From: type: integer description: The number of results skipped in the search query format: int32 Size: type: integer description: The size of the result set format: int32 SearchResults: type: array description: The list of search results found for the query nullable: true items: $ref: '#/components/schemas/SearchResultItemModel' SearchResultItemModel: type: object additionalProperties: false properties: Type: type: string description: >- The type of the search result item. Possible values: cdn, storage, dns, script, stream nullable: true Id: type: integer description: The ID of the search result item linked object format: int64 Name: type: string description: The name of the object found nullable: true securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.